curl https://api.thanxsandbox.com/partner/tags \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
{
"tags": [
{
"id": "92b7b0dac4",
"user_id": "wroeiu2304hfwf",
"merchant_id": "weroif",
"key": "allergens",
"values": ["gluten", "soy", "dairy"]
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}
Tags
Get Tags
GET
/
partner
/
tags
curl https://api.thanxsandbox.com/partner/tags \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
{
"tags": [
{
"id": "92b7b0dac4",
"user_id": "wroeiu2304hfwf",
"merchant_id": "weroif",
"key": "allergens",
"values": ["gluten", "soy", "dairy"]
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}
Scope required:
tags.readParameters
string
required
Filter tags by Merchant ID
array<string>
required
Filter tags by User IDs
string
Optionally filter tags by key
integer
The current page of paginated resources.
- Default:
1.
integer
Number of records to be returned per API request.
- Default:
10 - Minimum:
1 - Maximum:
100
Response
string
Tag ID
string
User ID
string
Merchant ID
string
Tag key
array(string)
Array of attribute tags. Currently, only
string tags are supported.hash
curl https://api.thanxsandbox.com/partner/tags \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
{
"tags": [
{
"id": "92b7b0dac4",
"user_id": "wroeiu2304hfwf",
"merchant_id": "weroif",
"key": "allergens",
"values": ["gluten", "soy", "dairy"]
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}